Bug 26377 - mga DRI says it's working, but it isn't
Summary: mga DRI says it's working, but it isn't
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard: Florence Gold
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-07 00:08 UTC by Bill Nottingham
Modified: 2014-03-17 02:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-19 15:20:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (14.91 KB, text/plain)
2001-02-09 01:05 UTC, Trond Eivind Glomsrxd
no flags Details
dmesg output (14.91 KB, text/plain)
2001-02-09 01:05 UTC, Trond Eivind Glomsrxd
no flags Details
the XFree log (23.66 KB, text/plain)
2001-02-09 01:08 UTC, Trond Eivind Glomsrxd
no flags Details
X configuration file (3.70 KB, text/plain)
2001-02-09 01:10 UTC, Trond Eivind Glomsrxd
no flags Details
Dmesg file when X crashed (239 bytes, patch)
2001-02-09 01:34 UTC, Trond Eivind Glomsrxd
no flags Details | Diff

Description Bill Nottingham 2001-02-07 00:08:19 UTC
According to /var/log/XFree86.0.log, DRI is enabled and functioning,
but according to glxinfo it's using the Mesa indirect renderer, and
3D is not accelerated.

This is using a G400.

Comment 1 Mike A. Harris 2001-02-07 01:25:36 UTC
I'm not surprised by this at all.  mga isn't functioning on this card
at all for me period let alone snazzy DRI.  ;o)

Added to the mga todo list.

Comment 2 Mike A. Harris 2001-02-07 05:40:01 UTC
Can you attach your server log and config Bill?  I want to try and
corelate some things..

Comment 3 Bill Nottingham 2001-02-07 05:53:53 UTC
Not my machine. Trond will have to attach a log file.

Comment 4 Glen Foster 2001-02-08 16:03:47 UTC
This defect is considered MUST-FIX for Florence Gold release

Comment 5 Trond Eivind Glomsrxd 2001-02-09 01:05:07 UTC
Created attachment 9485 [details]
dmesg output

Comment 6 Trond Eivind Glomsrxd 2001-02-09 01:05:49 UTC
Created attachment 9486 [details]
dmesg output

Comment 7 Trond Eivind Glomsrxd 2001-02-09 01:08:27 UTC
Created attachment 9487 [details]
the XFree log

Comment 8 Trond Eivind Glomsrxd 2001-02-09 01:10:55 UTC
Created attachment 9488 [details]
X configuration file

Comment 9 Trond Eivind Glomsrxd 2001-02-09 01:12:26 UTC
[teg@halden teg]$ rpm -q XFree86
XFree86-4.0.2-7
[teg@halden teg]$ uname -a
Linux halden.devel.redhat.com 2.4.0-0.99.24smp #1 SMP Wed Feb 7 18:18:32 EST
2001 i686 unknown
[teg@halden teg]$

Dual PIII, Intel 840 Motherboard.

Comment 10 Trond Eivind Glomsrxd 2001-02-09 01:33:38 UTC
This is probably a permissions bug... when you're root, it works as before: Hard
X crash.

Comment 11 Trond Eivind Glomsrxd 2001-02-09 01:34:46 UTC
Created attachment 9489 [details]
Dmesg file when X crashed

Comment 12 Trond Eivind Glomsrxd 2001-02-09 01:36:25 UTC
Michael, the dmesg output indicates something weird in the drm driver...

Comment 13 Bernhard Rosenkraenzer 2001-02-10 01:01:44 UTC
No problems here with a G200 and a G400, XF86 4.0.2-7, kernel 2.4.1-ac6 with a
couple of patches from the RPM

Comment 14 Stephen Tweedie 2001-02-10 12:14:18 UTC
You need to have

Section "DRI"
    Mode 0666
Endsection

in the XF86Config-4 for DRI to be accessible by non-root users, btw, regardless
of whether the functionality actually works or not.


Comment 15 Bill Nottingham 2001-02-28 00:22:27 UTC
the original cause of the bug (bad DRI permissions) is fixed now.
mga DRI is as schizophrenic as always.


Note You need to log in before you can comment on or make changes to this bug.